data:
    - { _id: 1, x: 11 }
    - { _id: 2, x: 22 }

# TODO: this should change to 4.0 once 4.0.0 is released.
minServerVersion: '3.99'

tests:
    -
        description: "FindOneAndUpdate succeeds after PrimarySteppedDown"
        failPoint:
            configureFailPoint: failCommand
            mode: { times: 1 }
            data:
                failCommands: ["findAndModify"]
                errorCode: 189
        operation:
            name: "findOneAndUpdate"
            arguments:
                filter: { _id: 1 }
                update: { $inc: { x : 1 }}
                returnDocument: "Before"
        outcome:
            result: { _id: 1, x: 11 }
            collection:
                data:
                    - { _id: 1, x: 12 }
                    - { _id: 2, x: 22 }
    -
        description: "FindOneAndUpdate succeeds after WriteConcernError ShutdownInProgress"
        failPoint:
            configureFailPoint: failCommand
            mode: { times: 1 }
            data:
                failCommands: ["findAndModify"]
                writeConcernError:
                    code: 91
                    errmsg: Replication is being shut down
        operation:
            name: "findOneAndUpdate"
            arguments:
                filter: { _id: 1 }
                update: { $inc: { x : 1 }}
                returnDocument: "Before"
        outcome:
            result: { _id: 1, x: 11 }
            collection:
                data:
                    - { _id: 1, x: 12 }
                    - { _id: 2, x: 22 }
